Loading...
Searching...
No Matches
casacore::UnitVal_static_initializer Class Reference
casa package (libcasa_casa) » Quanta_module

Static initialisation of UnitVal constants. More...

`#include <UnitVal.h>`

## Public Member Functions

| UnitVal_static_initializer ()

## Static Private Attributes

static int | initialized

## Detailed Description

Static initialisation of UnitVal constants.

Definition at line 307 of file UnitVal.h.

## Constructor & Destructor Documentation

## UnitVal_static_initializer()

casacore::UnitVal_static_initializer::UnitVal_static_initializer | ( |  | ) |

inline

Definition at line 309 of file UnitVal.h.

References casacore::UnitVal::ANGLE, casacore::UnitVal::CURRENT, casacore::UnitDim::DA, casacore::UnitDim::Dcd, casacore::UnitDim::DK, casacore::UnitDim::Dkg, casacore::UnitDim::Dm, casacore::UnitDim::Dmol, casacore::UnitDim::Dnon, casacore::UnitDim::Drad, casacore::UnitDim::Ds, casacore::UnitDim::Dsr, initialized, casacore::UnitVal::INTENSITY, casacore::UnitVal::LENGTH, casacore::UnitVal::MASS, casacore::UnitVal::MOLAR, casacore::UnitVal::NODIM, casacore::UnitVal::SOLIDANGLE, casacore::UnitVal::TEMPERATURE, casacore::UnitVal::TIME, and casacore::UnitVal::UNDIM.

## Member Data Documentation

## initialized

int casacore::UnitVal_static_initializer::initialized

static private

Definition at line 326 of file UnitVal.h.

Referenced by UnitVal_static_initializer().

The documentation for this class was generated from the following file:

- casa/Quanta/UnitVal.h